﻿@using Microsoft.AspNetCore.Mvc.Localization
@model AEWeb.ViewModels.Menu.NavigationMenuViewModel
@inject IViewLocalizer Localizer
@{
    var culture = System.Globalization.CultureInfo.CurrentCulture.ToString();
}

<nav class="navbar-default navbar-static-side" role="navigation">
    <div class="sidebar-collapse">
        <ul class="nav metismenu" id="side-menu">
            <li class="nav-header">
                <div class="profile-element">

                    <span class="block m-t-xs font-bold text-white">@Model.Username</span>
                    <br />
                    <div class="form-group">
                        @(Html.Kendo().DropDownList()
                            .Name("domainCombo")
                            .DataTextField("Text")
                            .DataValueField("Value")
                            .BindTo(Model.DomainsConfigured)
                            .Value(Model.Domain.ToString())
                            .HtmlAttributes(new { style="width:75%"})
                            .Events(e => e
                                .Change("onDomainChange")
                            )
                    )
                    </div>
                </div>
                <div class="logo-element">
                    <img src="~/images/logo.png" width="80" alt="KPI Tool" />
                </div>
            </li>
            @foreach (var menu in Model.Submenus)
            {
                <li>
                    <a href="@Url.Action(menu.Action, menu.Controller)">
                        <i class="@menu.Icon"></i>
                        <span class="nav-label">@menu.Menu</span>
                        @if (menu.Submenus.Count > 0)
                        {
                            <span class="fa arrow"></span>
                        }
                    </a>
                    @if (menu.Submenus.Count > 0)
                    {
                        <ul class="nav nav-second-level collapse" aria-expanded="false">
                            @foreach (var submenu in menu.Submenus)
                            {
                                <li>
                                    <a href="@Url.Action(submenu.Action, submenu.Controller)">
                                        <i class="@submenu.Icon"></i>
                                        <span class="nav-label">@submenu.Menu</span>
                                        @if (submenu.Submenus.Count > 0)
                                        {
                                            <span class="fa arrow"></span>
                                        }
                                    </a>
                                    @if (submenu.Submenus.Count > 0)
                                    {
                                        <ul class="nav nav-third-level collapse" aria-expanded="false">
                                            @foreach (var subsubmenu in submenu.Submenus)
                                            {
                                                <li>
                                                    <a href="@Url.Action(subsubmenu.Action, subsubmenu.Controller)">
                                                        <i class="@subsubmenu.Icon"></i>
                                                        <span class="nav-label">@subsubmenu.Menu</span>
                                                    </a>
                                                </li>
                                            }
                                        </ul>
                                    }
                                </li>
                            }
                        </ul>
                    }
                </li>
            }
        </ul>
    </div>
</nav>
<script>
    function onDomainChange() {
        var combo = $("#domainCombo").data("kendoDropDownList");
        $.ajax({
            type: "POST",
            url: "/Home/SetDomain",
            data: { "domain": combo.value() },
            success: function (response) {
                document.location.href = "/Home/Main";
            },
            failure: function (response) {
                alert(response.responseText);
            },
            error: function (response) {
                alert(response.responseText);
            }
        });
    }
</script>